Debian Bug report logs - #666338
wp2x: FTBFS: make[2]: *** No rule to make target `/usr/include/sys/cdefs.h', needed by `wp2x.o'. Stop.

version graph

Package: src:wp2x; Maintainer for src:wp2x is Petter Reinholdtsen <pere@debian.org>;

Reported by: Lucas Nussbaum <lucas@lucas-nussbaum.net>

Date: Fri, 30 Mar 2012 09:41:09 UTC

Severity: serious

Tags: sid, wheezy

Found in version wp2x/2.5-mhi-10

Fixed in version wp2x/2.5-mhi-10.1

Done: Thomas Goirand <zigo@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Petter Reinholdtsen <pere@debian.org>:
Bug#666338; Package src:wp2x. (Fri, 30 Mar 2012 09:41:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
New Bug report received and forwarded. Copy sent to Petter Reinholdtsen <pere@debian.org>. (Fri, 30 Mar 2012 09:41:16 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: submit@bugs.debian.org
Subject: wp2x: FTBFS: make[2]: *** No rule to make target `/usr/include/sys/cdefs.h', needed by `wp2x.o'. Stop.
Date: Fri, 30 Mar 2012 11:23:27 +0200
Source: wp2x
Version: 2.5-mhi-10
Severity: serious
Tags: wheezy sid
User: debian-qa@lists.debian.org
Usertags: qa-ftbfs-20120330 qa-ftbfs qa-ftbfs-buildarch
Justification: FTBFS on amd64

Hi,

During a rebuild of all packages in sid, your package failed to build on
amd64.

This rebuild was done by building only architecture:any binary packages
(binary-arch target of debian/rules), and using a recent dpkg that uses the
build-arch target if available.
Also, only the Build-Depends were installed, not the Build-Depends-Indep.

Relevant part:
>  debian/rules build-arch
> dh build-arch
>    dh_testdir -a
>    dh_auto_configure -a
>    dh_auto_build -a
> make[1]: Entering directory `/«PKGBUILDDIR»'
> cd src && make wp2x WP2X_DIR=/usr/local/lib/wp2x VERSION=2.5
> make[2]: Entering directory `/«PKGBUILDDIR»/src'
> make[2]: *** No rule to make target `/usr/include/sys/cdefs.h', needed by `wp2x.o'.  Stop.
> make[2]: Leaving directory `/«PKGBUILDDIR»/src'
> make[1]: *** [wp2x] Error 2

The full build log is available from:
   http://people.debian.org/~lucas/logs/2012/03/30/wp2x_2.5-mhi-10_unstable.log

A list of current common problems and possible solutions is available at 
http://wiki.debian.org/qa.debian.org/FTBFS . You're welcome to contribute!

About the archive rebuild: The rebuild was done on about 50 AMD64 nodes
of the Grid'5000 platform, using a clean chroot.  Internet was not
accessible from the build systems.




Reply sent to Thomas Goirand <zigo@debian.org>:
You have taken responsibility. (Mon, 30 Apr 2012 09:36:26 GMT) Full text and rfc822 format available.

Notification sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Bug acknowledged by developer. (Mon, 30 Apr 2012 09:36:30 GMT) Full text and rfc822 format available.

Message #10 received at 666338-close@bugs.debian.org (full text, mbox):

From: Thomas Goirand <zigo@debian.org>
To: 666338-close@bugs.debian.org
Subject: Bug#666338: fixed in wp2x 2.5-mhi-10.1
Date: Mon, 30 Apr 2012 09:34:43 +0000
Source: wp2x
Source-Version: 2.5-mhi-10.1

We believe that the bug you reported is fixed in the latest version of
wp2x, which is due to be installed in the Debian FTP archive:

wp2x_2.5-mhi-10.1.diff.gz
  to main/w/wp2x/wp2x_2.5-mhi-10.1.diff.gz
wp2x_2.5-mhi-10.1.dsc
  to main/w/wp2x/wp2x_2.5-mhi-10.1.dsc
wp2x_2.5-mhi-10.1_amd64.deb
  to main/w/wp2x/wp2x_2.5-mhi-10.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 666338@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thomas Goirand <zigo@debian.org> (supplier of updated wp2x package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: RIPEMD160

Format: 1.8
Date: Mon, 30 Apr 2012 09:26:37 +0000
Source: wp2x
Binary: wp2x
Architecture: source amd64
Version: 2.5-mhi-10.1
Distribution: unstable
Urgency: low
Maintainer: Petter Reinholdtsen <pere@debian.org>
Changed-By: Thomas Goirand <zigo@debian.org>
Description: 
 wp2x       - WordPerfect 5.x documents to whatever converter
Closes: 666338
Changes: 
 wp2x (2.5-mhi-10.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Added build-arch: patch-stamp and build-indep: patch-stamp to fix the FTBFS
   (Closes: #666338).
Checksums-Sha1: 
 c06af2e9dfd180c859fa96b9836962f810b447a0 999 wp2x_2.5-mhi-10.1.dsc
 57edb377b0ecfcbb1542d90eb05ed3a51cd5fb27 6353 wp2x_2.5-mhi-10.1.diff.gz
 0787701755efcfd69983f28604e703a3a40c20af 40308 wp2x_2.5-mhi-10.1_amd64.deb
Checksums-Sha256: 
 d0dc51d02cb25f5eeafb367c687ca4e996fc856191b30380d05587855fdf7784 999 wp2x_2.5-mhi-10.1.dsc
 962c509b151e62ba847259320c70ea2a7669be164f2b7d1b470ea6debc704438 6353 wp2x_2.5-mhi-10.1.diff.gz
 9bff9f481627cbfa2f83825f8250e51f9503802d2b735e0af8f54247556b3141 40308 wp2x_2.5-mhi-10.1_amd64.deb
Files: 
 eacafc3aec631ad2d33df5eeadc4c4ae 999 text optional wp2x_2.5-mhi-10.1.dsc
 5fb8d4f261b481d26c5612a10d53b9e2 6353 text optional wp2x_2.5-mhi-10.1.diff.gz
 dc6108d99654a6e976c5719da670bc12 40308 text optional wp2x_2.5-mhi-10.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEAREDAAYFAk+eW10ACgkQl4M9yZjvmkn+rACg6ELgcAaHSGUJadkXU48ly1ly
tFMAnjSU9PDS3vUBpH+l5wxLp2S1VnRg
=iQck
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 08 Jun 2012 07:39:29 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 04:16:39 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.